#include "MenuTextSk1_Player2Keyboard.h"

InputSetting_Keyboard* MenuTextSk1_Player2Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player2Keyboard ? gameFunc->GetInputSetting_Player2Keyboard() : nullptr;
}

SDL_Scancode* MenuTextSk1_Player2Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_skill_1;
}

std::shared_ptr<Entity> CreateMenuTextSk1_Player2Keyboard()
{
	return std::make_shared<MenuTextSk1_Player2Keyboard>();
}


